Results 1 to 11 of 11

Thread: Unable to make deb file of Qt 5.4 app in Ubuntu 14.04

  1. #1
    Join Date
    Jun 2014
    Posts
    24
    Qt products
    Qt3 Qt4 Qt5 Qt/Embedded
    Platforms
    MacOS X Unix/X11 Windows Symbian S60 Android Maemo/MeeGo

    Default Unable to make deb file of Qt 5.4 app in Ubuntu 14.04

    I am able to make deb file of Qt 5.2.1 app in Ubuntu 14.04 but unable to make deb file of Qt 5.4 app in Ubuntu 14.04 and got below errors.

    //usr/lib/x86_64-linux-gnu/libQt5PrintSupport.so.5: undefined reference to `QPdfEnginePrivate:aperRect() const'

    //usr/lib/x86_64-linux-gnu/libQt5PrintSupport.so.5: undefined reference to `QPdfEnginePrivate:ageRect() const'

    //usr/lib/x86_64-linux-gnu/libQt5OpenGL.so.5: undefined reference to `QFontEngine::glyphCache(void const*, QFontEngineGlyphCache::Type, QTransform const&) const'

    I am just guessing that .so files present at the path usr/lib/x86_64-linux-gnu/ are compatible with Qt 5.2.1 but not with Qt5.4.

    There is no change in .so files at the path path usr/lib/x86_64-linux-gnu/ if we install or uninstall Qt 5.2.1 or Qt 5.4.

    If anyone has idea, then please let me know so that I can resolve my issue.

    Thanks.

  2. #2
    Join Date
    Jan 2006
    Location
    Warsaw, Poland
    Posts
    33,364
    Thanks
    3
    Thanked 5,014 Times in 4,792 Posts
    Qt products
    Qt3 Qt4 Qt5 Qt/Embedded
    Platforms
    Unix/X11 Windows Android Maemo/MeeGo
    Wiki edits
    10

    Default Re: Unable to make deb file of Qt 5.4 app in Ubuntu 14.04

    How did you "install or uninstall Qt 5.2.1 or Qt 5.4"? Does your package manager allow both installations to coexist?
    Your biological and technological distinctiveness will be added to our own. Resistance is futile.

    Please ask Qt related questions on the forum and not using private messages or visitor messages.


  3. #3
    Join Date
    Jun 2014
    Posts
    24
    Qt products
    Qt3 Qt4 Qt5 Qt/Embedded
    Platforms
    MacOS X Unix/X11 Windows Symbian S60 Android Maemo/MeeGo

    Default Re: Unable to make deb file of Qt 5.4 app in Ubuntu 14.04

    Quote Originally Posted by wysota View Post
    How did you "install or uninstall Qt 5.2.1 or Qt 5.4"? Does your package manager allow both installations to coexist?
    I install Qt from offline .run file and uninstall from MaintenanceTool and at the same time Qt 5.2.1 and Qt 5.4 are installed in my machine .

  4. #4
    Join Date
    Jan 2006
    Location
    Warsaw, Poland
    Posts
    33,364
    Thanks
    3
    Thanked 5,014 Times in 4,792 Posts
    Qt products
    Qt3 Qt4 Qt5 Qt/Embedded
    Platforms
    Unix/X11 Windows Android Maemo/MeeGo
    Wiki edits
    10

    Default Re: Unable to make deb file of Qt 5.4 app in Ubuntu 14.04

    So you surely don't have it installed in /usr/lib. It seems your packager takes your system's Qt instead of the one you installed yourself.
    Your biological and technological distinctiveness will be added to our own. Resistance is futile.

    Please ask Qt related questions on the forum and not using private messages or visitor messages.


  5. #5
    Join Date
    Jun 2014
    Posts
    24
    Qt products
    Qt3 Qt4 Qt5 Qt/Embedded
    Platforms
    MacOS X Unix/X11 Windows Symbian S60 Android Maemo/MeeGo

    Default Re: Unable to make deb file of Qt 5.4 app in Ubuntu 14.04

    Quote Originally Posted by wysota View Post
    So you surely don't have it installed in /usr/lib. It seems your packager takes your system's Qt instead of the one you installed yourself.
    Yes, I have installed it in opt directory and second time Iinstalled the same into my machine's Home directory.
    As per you "It seems your packager takes your system's Qt instead of the one you installed yourself" , Yes I also think so but why I am able to make deb with Qt5.2.1 but not with the Qt5.4 into same Ubutnu 14.04 machine.

    Thanks for you post.

  6. #6
    Join Date
    Jan 2006
    Location
    Warsaw, Poland
    Posts
    33,364
    Thanks
    3
    Thanked 5,014 Times in 4,792 Posts
    Qt products
    Qt3 Qt4 Qt5 Qt/Embedded
    Platforms
    Unix/X11 Windows Android Maemo/MeeGo
    Wiki edits
    10

    Default Re: Unable to make deb file of Qt 5.4 app in Ubuntu 14.04

    I think you need to ask at some site related to building debs. Your problem is unrelated to Qt itself, it is very unlikely you will find proper help here.
    Your biological and technological distinctiveness will be added to our own. Resistance is futile.

    Please ask Qt related questions on the forum and not using private messages or visitor messages.


  7. #7
    Join Date
    Jun 2014
    Posts
    24
    Qt products
    Qt3 Qt4 Qt5 Qt/Embedded
    Platforms
    MacOS X Unix/X11 Windows Symbian S60 Android Maemo/MeeGo

    Default Re: Unable to make deb file of Qt 5.4 app in Ubuntu 14.04

    I have posted on the Ubuntu debian forum and on other sites also.

    FYI now I am able to make deb file with QT 5.4 by adding PrintSupport, OpenGL Qt5 module in cmake list file and added the needed .so files form the path Qt5.4.0/Tools/QtCreator/lib/qtcreator/ to /usr/lib directory and installed the deb into my machine.

    But app executable unable to start and not giving any error ( I think it crashes) but when I replace the same executable with exexubale which I made from Qt creator then it is working.

    What I think is that Qt creator build taking reference of the QT5.4 installation and deb build taking the reference from the my machine's installed .so files. that Is why I am getting this issue.

  8. #8
    Join Date
    Jan 2006
    Location
    Warsaw, Poland
    Posts
    33,364
    Thanks
    3
    Thanked 5,014 Times in 4,792 Posts
    Qt products
    Qt3 Qt4 Qt5 Qt/Embedded
    Platforms
    Unix/X11 Windows Android Maemo/MeeGo
    Wiki edits
    10

    Default Re: Unable to make deb file of Qt 5.4 app in Ubuntu 14.04

    I think you should put a dependency on Qt5.4 packages into your deb package. Otherwise after the package is installed, proper Qt version would not be found.
    Your biological and technological distinctiveness will be added to our own. Resistance is futile.

    Please ask Qt related questions on the forum and not using private messages or visitor messages.


  9. #9
    Join Date
    Jun 2014
    Posts
    24
    Qt products
    Qt3 Qt4 Qt5 Qt/Embedded
    Platforms
    MacOS X Unix/X11 Windows Symbian S60 Android Maemo/MeeGo

    Default Re: Unable to make deb file of Qt 5.4 app in Ubuntu 14.04

    Ok, I will try and let you know if found anything useful.

  10. #10
    Join Date
    Jun 2014
    Posts
    24
    Qt products
    Qt3 Qt4 Qt5 Qt/Embedded
    Platforms
    MacOS X Unix/X11 Windows Symbian S60 Android Maemo/MeeGo

    Default Re: Unable to make deb file of Qt 5.4 app in Ubuntu 14.04

    Quote Originally Posted by wysota View Post
    I think you should put a dependency on Qt5.4 packages into your deb package. Otherwise after the package is installed, proper Qt version would not be found.
    It would be great for me if you suuggest, how to add depedencies on Qt5.4 package with my deb. I think, I have issues with the libQt5Quick.so.5 libQtOpenGL.so.5 libQt5PrintSupport.so.5 files but I am not sure.

  11. #11
    Join Date
    Jan 2006
    Location
    Warsaw, Poland
    Posts
    33,364
    Thanks
    3
    Thanked 5,014 Times in 4,792 Posts
    Qt products
    Qt3 Qt4 Qt5 Qt/Embedded
    Platforms
    Unix/X11 Windows Android Maemo/MeeGo
    Wiki edits
    10

    Default Re: Unable to make deb file of Qt 5.4 app in Ubuntu 14.04

    I know nothing about building deb packages, so I can't really help you. I can only assume you should make your package depend on libqt5*-5.4
    Your biological and technological distinctiveness will be added to our own. Resistance is futile.

    Please ask Qt related questions on the forum and not using private messages or visitor messages.


Similar Threads

  1. Replies: 1
    Last Post: 23rd December 2014, 11:01
  2. Replies: 1
    Last Post: 12th March 2014, 12:44
  3. Replies: 2
    Last Post: 17th July 2013, 09:26
  4. unable to make static builds on windows
    By mchome in forum Newbie
    Replies: 13
    Last Post: 16th July 2012, 19:42
  5. qmake doesn't make a 'make' file
    By elyness in forum Installation and Deployment
    Replies: 1
    Last Post: 4th August 2010, 15:21

Tags for this Thread

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •  
Digia, Qt and their respective logos are trademarks of Digia Plc in Finland and/or other countries worldwide.